#
# spec file for package plasma5-sdk
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           plasma5-sdk
Version:        5.10.1
Release:        0
Summary:        Plasma SDK
License:        LGPL-2.0+ and GPL-2.0
Group:          System/GUI/KDE
Url:            https://cgit.kde.org/plasma-sdk.git
Source:         http://download.kde.org/stable/plasma/%{version}/plasma-sdk-%{version}.tar.xz
BuildRequires:  breeze5-icons
BuildRequires:  extra-cmake-modules >= 1.8.0
BuildRequires:  kf5-filesystem
BuildRequires:  xz
BuildRequires:  cmake(Grantlee5)
#BuildRequires:  cmake(KDevPlatform) >= 4.9.90
BuildRequires:  cmake(KF5Archive) >= 5.25.0
BuildRequires:  cmake(KF5Completion) >= 5.25.0
BuildRequires:  cmake(KF5Config) >= 5.25.0
BuildRequires:  cmake(KF5ConfigWidgets) >= 5.25.0
BuildRequires:  cmake(KF5CoreAddons) >= 5.25.0
BuildRequires:  cmake(KF5DBusAddons) >= 5.25.0
BuildRequires:  cmake(KF5Declarative) >= 5.25.0
BuildRequires:  cmake(KF5DocTools) >= 5.25.0
BuildRequires:  cmake(KF5GuiAddons) >= 5.25.0
BuildRequires:  cmake(KF5I18n) >= 5.25.0
BuildRequires:  cmake(KF5IconThemes) >= 5.25.0
BuildRequires:  cmake(KF5ItemModels) >= 5.25.0
BuildRequires:  cmake(KF5ItemViews) >= 5.25.0
BuildRequires:  cmake(KF5JobWidgets) >= 5.25.0
BuildRequires:  cmake(KF5KCMUtils) >= 5.25.0
BuildRequires:  cmake(KF5KDELibs4Support) >= 5.25.0
BuildRequires:  cmake(KF5KIO) >= 5.25.0
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5NewStuff) >= 5.25.0
BuildRequires:  cmake(KF5Notifications) >= 5.25.0
BuildRequires:  cmake(KF5NotifyConfig) >= 5.25.0
BuildRequires:  cmake(KF5Parts) >= 5.25.0
BuildRequires:  cmake(KF5Plasma) >= 5.25.0
BuildRequires:  cmake(KF5PlasmaQuick) >= 5.25.0
BuildRequires:  cmake(KF5Service) >= 5.25.0
BuildRequires:  cmake(KF5TextEditor) >= 5.25.0
BuildRequires:  cmake(KF5ThreadWeaver) >= 5.25.0
BuildRequires:  cmake(KF5WidgetsAddons) >= 5.25.0
BuildRequires:  cmake(KF5WindowSystem) >= 5.25.0
BuildRequires:  cmake(KF5XmlGui) >= 5.25.0
BuildRequires:  cmake(Qt5Concurrent) >= 5.4.0
BuildRequires:  cmake(Qt5Core) >= 5.4.0
BuildRequires:  cmake(Qt5DBus) >= 5.4.0
BuildRequires:  cmake(Qt5Gui) >= 5.4.0
BuildRequires:  cmake(Qt5Qml) >= 5.4.0
BuildRequires:  cmake(Qt5Quick) >= 5.4.0
BuildRequires:  cmake(Qt5Svg) >= 5.4.0
BuildRequires:  cmake(Qt5Test) >= 5.4.0
BuildRequires:  cmake(Qt5WebKit) >= 5.4.0
BuildRequires:  cmake(Qt5WebKitWidgets) >= 5.4.0
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  cmake(Qt5Xml) >= 5.4.0
%if %{with lang}
Recommends:     %{name}-lang
%endif
Conflicts:      plasmate
#Provides:       plasmate5 = %{version}
#Obsoletes:      plasmate5 < %{version}
Requires:       bash
Requires:       kirigami2 >= 2.0
Requires:       plasmaengineexplorer5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Plasma SDK taylored for development of Plasma components,
such as Widgets, Runners, Dataengines.

%package -n plasmaengineexplorer5
Summary:        Provides direct access to plasma data engines
License:        GPL-2.0
Group:          Development/Tools/Other
Conflicts:      plasmate

%description -n plasmaengineexplorer5
Plasmaengineexplorer is a graphical tool allowing developers to
test Plasma data engines without writing a Plasma applet.

%lang_package
%prep
%setup -q -n plasma-sdk-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
#  # plasmagik is a symlink to tools-wizard in oxygen5 anyway, so do the same for breeze here
#  sed -i 's/^Icon=.*$/Icon=tools-wizard/g' %{buildroot}%{_kf5_applicationsdir}/plasmate.desktop

  mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/
  cp -L %{_kf5_iconsdir}/breeze/apps/48/cuttlefish.svg %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/
  cp -L %{_kf5_iconsdir}/breeze/actions/24/tools-wizard.svg %{buildroot}%{_kf5_iconsdir}/hicolor/scalable/apps/

%if %{with lang}
%find_lang cuttlefish %{name}.lang
#%%find_lang kdevpackagemanagerview %{name}.lang
%find_lang plasma_shell_org.kde.plasmoidviewershell %{name}.lang
%find_lang org.kde.plasma.themeexplorer %{name}.lang
%find_lang org.kde.plasma.lookandfeelexplorer %{name}.lang
%find_lang remote-widgets-browser %{name}.lang
%find_lang plasmoidviewer %{name}.lang
%find_lang plasmawallpaperviewer %{name}.lang
#%%find_lang plasmate %{name}.lang
%find_lang plasmaengineexplorer %{name}.lang
%find_lang cuttlefish_editorplugin %{name}.lang
%endif

%if %{with lang}
%files lang -f %{name}.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/cuttlefish
%{_kf5_bindir}/plasmoidviewer
#%%{_kf5_bindir}/plasmate
#%%{_kf5_bindir}/plasmakconfigxteditor
%{_kf5_bindir}/plasmathemeexplorer
%{_kf5_bindir}/lookandfeelexplorer
%{_kf5_sharedir}/plasma/
#%%{_kf5_sharedir}/plasmate/
%{_kf5_sharedir}/kpackage/
#%%{_kf5_sharedir}/kdevsavesystemview/
%{_kf5_servicesdir}/
%{_kf5_plugindir}/
%{_kf5_applicationsdir}/org.kde.plasma.themeexplorer.desktop
%{_kf5_applicationsdir}/org.kde.plasma.lookandfeelexplorer.desktop
%{_kf5_applicationsdir}/org.kde.cuttlefish.desktop
#%%{_kf5_applicationsdir}/plasmate.desktop
#%%config %{_kf5_configdir}/plasmate.knsrc
%dir %{_kf5_iconsdir}/hicolor/*
%dir %{_kf5_iconsdir}/hicolor/*/*
%{_kf5_iconsdir}/*/*/*/*.*
%{_kf5_appstreamdir}/
%{_mandir}/man1/plasmoidviewer.1.gz

%files -n plasmaengineexplorer5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/plasmaengineexplorer
%{_mandir}/man1/plasmaengineexplorer.1.gz

%changelog
